#include <windows.h>
#include <stdio.h>
#include "common.h"

int main(int argc, char *argv[])
{
	pdf_xref *xref;
	pdf_page *page;
	fz_error error;
	int pagenum = 0;
	int getnum = 0;
	int resolution = 72;//dpi
	HLOCAL hLocal;
	unsigned long filesize;
	char *filename = NULL;

	if (argc > 1) {
		filename = argv[1];
	} else {
		printf("Usage: %s input.pdf\n", argv[0]);
		return 0;
	}
	if (argc > 2) {
		pagenum = argv[2][0]-'0';
	}
	if (argc > 3) {
		getnum = argv[3][0] - '0';
	}

	error = pdf_open_xref(&xref, filename, NULL);
	if (error) {
		printf("open error\n");
		return 0;
	}
	error = pdf_load_page_tree(xref);
	if (error) {
		printf("tree error\n");
		return 0;
	}
	error = pdf_load_page(&page, xref, pagenum);
	if (error) {
		printf("load page error\n");
		return 0;
	}
	loadConfig();
	g_resolution = 72;
	GetBitmapToMemory(&hLocal, &filesize, xref, page, g_resolution);
	printf("filesize:%d\n", filesize);
	char pass[1024];
	for (int i=0;i<5;) {
		i = getPasswordSuggest(i, pass, 1024);
		printf("%d:[%s]\n", i-1, pass);
	}

	unsigned char *p = (unsigned char *)hLocal;
	FILE *fp = fopen("output.bmp", "wb");
	for (int i=0;i<filesize;i++) {
		putc(p[i], fp);
	}
	fclose(fp);


	LocalFree(hLocal);

	pdf_free_page(page);
	pdf_free_xref(xref);
	return 0;
}
